%define name	smurf
%define version	0.52.6
%define release	6mdk

Summary: 	A GPL sound font editor.
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Sound
URL: 		http://smurf.sourceforge.net
Source: 	%name-%version.tar.bz2
BuildRoot: 	%_tmppath/%name-buildroot

%description
Smurf is a GTK based sound font editor. Sound font files are a collection of
audio samples and other data that describe instruments for the purpose of
composing music. Sound fonts do not describe the music itself, but rather the
sounds of the instruments. These instruments can be composed of any digitally
recordable or generated sound. This format provides a portable and flexible
sound synthesis environment that can be supported in hardware or software.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/smurf"\
title="Smurf"\
longtitle="GPL sound font editor"\
needs="x11"\
icon="sound_section.png"\
section="Multimedia/Sound"
EOF
)
 
%find_lang %name
 
%post
%update_menus
  
%postun
%clean_menus 

%clean
rm -rf $RPM_BUILD_ROOT 

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README
%_bindir/*
%_menudir

%changelog
* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.52.6-6mdk
- rebuild

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.52.6-5mdk
- rebuild

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.52.6-4mdk
- rebuild against new alsa

* Mon Jan 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.52.6-3mdk
- use macro for locales

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.52.6-2mdk
- Fix menu entry

* Fri Nov 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.52.6-1mdk
- 0.52.6

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.52.5-2mdk
- rebuild against new libpng

* Fri Sep 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.52.5-1mdk
- 0.52.5

* Tue Sep 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.52.1-2mdk
- rebuild

* Thu May 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.52.1-1mdk
- updated to 0.52.1

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.50.0-1mdk
- new in contribs
